%global snapdate 20111007
%global githash 97ed5f9

Name:		tcplay
Version:	0.9
Release:	0.5.%{snapdate}git%{githash}%{?dist}
Summary:	Utility to create/open/map TrueCrypt-compatible volumes
Group:		Applications/System
License:	BSD
URL:		https://github.com/bwalex/tc-play
BuildRequires:	device-mapper-devel libgcrypt-devel libuuid-devel
BuildRequires:	openssl-devel

Source0:	%{name}-%{githash}.tar.xz

# Fedora-specific script for packaging:
Source1000:	tcplay-get-snapshot.sh
# To generate tarball for Source0:
#   sh tcplay-get-snapshot.sh %{githash}


%description
The tcplay utility provides full support for creating and opening/mapping
TrueCrypt-compatible volumes.

%prep
%setup -q -n %{name}-%{githash}

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -p -m 644 %{name}.8 %{buildroot}%{_mandir}/man8

%files
%doc README
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.5.20111007git97ed5f9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.4.20111007git97ed5f9
- Removed more outdated items from spec, not intending to support RHEL5 or
  earlier.

* Thu Oct 06 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.3.20111007git97ed5f9
- updated to new upstream snapshot

* Thu Oct 06 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.2.20111004git59c6097
- updated based on package review comments, bug 743497

* Tue Oct 04 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.1.20111004git59c6097
- initial version
